# NomNom (nom)

NomNom is an implementation of the nomination and voting portion of the [Hugo Award](https://www.thehugoawards.org/). The Hugo Awards are the most prestigious award in Speculative Fiction, voted on by members of the World Science Fiction Society ([WSFS](https://wsfs.org)) each year at the Worldcon.

NomNom was originally created at the request of the Glasgow 2024 Worldcon's chair, Esther MacCallum-Stewart, and her WSFS Administrator Nicholas Whyte, but with the intent to be a solution suitable for any Worldcon that chooses to use it.

It has a few useful features for that purpose:

* It can be integrated with convention registration so that members do not need a separate password or to use an email login for nominating or voting (although they may need one to access registration!)
* It is extensively customizable for each convention; a convention gets their own extension to the code that they can style and lay out as suits them
* The Hugo Administrative team can customize the presentation of the ballot and much of the layout of the finalists directly from the administrative page
* It offers administrative controls around validating votes and nominations
* Several standard reports for the administrator are baked in and can be scheduled for delivery to configurable recipients. Other reports can be added by the convention.

... and probably more.

## Starting a New Convention

See [Getting Started](admin/getting_started.md)

## Contributing

Contribution is explained in [the developer documentation](dev/index.md)
